# DCM/DFA Reporting And Trafficking API . connectionTypes

## Instance Methods

Retrieves a list of connection types.

### Method Details

`list(profileId)`

    Retrieves a list of connection types.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Connection Type List Response
        "kind": "dfareporting#connectionTypesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#connectionTypesListResponse".
        "connectionTypes": [ # Connection Type Collection.
          { # Contains information about a connection type that can be targeted by ads.
            "kind": "dfareporting#connectionType", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#connectionType".
            "id": "A String", # ID of this connection type.
            "name": "A String", # Name of this connection type.
          },
        ],
      }